<?php
/**
 * @file
 * Expose user genereated module schema table to views.
 */

/**
 * Define UGC schema to views.
 */
function user_generated_content_views_data() {
  $data = array(
    'ugc_project_content_nodes' => array(
      'table' => array(
        'group' => 'UGC Project Content',
        'base' => array(
          'title' => 'UGC Project Content',
          'help' => 'Link between UGC Project nodes and UGC content node types.',
          'weight' => -10,
        ),
        'join' => array(
          'node' => array('left_field' => 'nid', 'field' => 'ugc_project_node'),
        ),
      ),
      'ugc_project_node' => array(
        'title' => 'UGC Project Node',
        'help' => 'Related user generated project node id.',
        'field' => array('handler' => 'views_handler_field_node'),
        'argument' => array('handler' => 'views_handler_argument_node_nid'),
        'filter' => array('handler' => 'views_handler_filter'),
        'sort' => array('handler' => 'views_handler_sort'),
        'relationship' => array(
          'base' => 'node',
          'handler' => 'views_handler_relationship',
          'label' => 'Related UGC project.',
        ),
      ),
      'ugc_content_node' => array(
        'title' => 'UGC Content Node',
        'help' => 'Related user generated content node id.',
        'field' => array('handler' => 'views_handler_field_node'),
        'argument' => array('handler' => 'views_handler_argument_node_nid'),
        'filter' => array('handler' => 'views_handler_filter'),
        'sort' => array('handler' => 'views_handler_sort'),
        'relationship' => array(
          'base' => 'node',
          'handler' => 'views_handler_relationship',
          'label' => 'Related UGC content.',
        ),
      ),
    ),
  );
  return $data;
}
